Bug Hunting Session
Bug 93111 - Feature request: Custom styles filter .. or Custom styles group, to show in the filter
Summary: Feature request: Custom styles filter .. or Custom styles group, to show in t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 127243 (view as bug list)
Depends on:
Blocks: Sidebar-Styles
  Show dependency treegraph
 
Reported: 2015-08-04 01:47 UTC by Mark Simon
Modified: 2019-09-07 11:49 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Wish as sceenshot (238.25 KB, image/png)
2019-09-03 17:21 UTC, VistaMail1
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Simon 2015-08-04 01:47:22 UTC
A document of some length will make use of large number of styles. These styles may have inherited from a template. The easiest way to apply and manage a style is with the existing Styles panel.

Styles are grouped one way or another, but there is no way to create your own custom of grouping. The problem with existing solutions is:

(a) “All Styles” includes many styles which may be unused.
(b) “Applied Styles” may be useful for mature documents, but at the early stages many styles would not be visible.
(c) “Applied Styles” does not show a hierarchical view.

My request is for an option to create your own group with favourite styles, or possibly with template styles. Preferably this would also show the style hierarchy.

Microsoft Word had the facility to add styles to custom toolbar menus, which, while not as convenient, would at least give you a customised selection of styles.
Comment 1 Buovjaga 2015-09-01 09:42:20 UTC
I think it's a good workflow improvement, so setting to NEW.
I did notice that there is a Custom styles view selectable from the bottom dropdown in the sidebar, but it doesn't show hierarchy.
Comment 2 Dieter Praas 2019-09-01 05:57:10 UTC
*** Bug 127243 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Lendo 2019-09-03 00:24:36 UTC
Adding needsUXEval as this seems not to be done so easily and should be well baked before implemented.

Some rough questions:
- Done only by context menu at style sidebar items like 'Hide'?
- Done with a new UI as suggested in bug 127243 with checkbox-like multiselection? (An older discussion about custom font list comes into my mind)
- Custom styles group in flat and/or hierarchical view?
- How useful is this as the setting is saved in the user profile but not in the file itself?
- What will be shown if the user is opening another file without such custom styles group? And what when after that opening or going back to the file where it exists?
Comment 4 Heiko Tietze 2019-09-03 06:33:30 UTC
First of all I'd call this a filter as some items from the list are hidden depending on what you select. Some different visualization is the hierarchical view (the plan is to always have the choice to switch this on or off). And you cannot "group" styles as they depend on each other, meaning the parent properties are taken for the children (edit style > Organizer > Inherit from).

And using Applied Styles with your template should actually do the trick. I would also expect Automatic to work here but there might be bug 69551 in the implementation. 

So my take: WFM or DUP.

*** This bug has been marked as a duplicate of bug 69551 ***
Comment 5 VistaMail1 2019-09-03 17:11:48 UTC
I answer your questions below their text

- Done only by context menu at style sidebar items like 'Hide'?
= Somehow the same. But a huge difference in comfort. It is quite different, to click 10 formats as "show" instead of 155 as "hide". I prefer 10 clicks instead of "155"


- Done with a new UI as suggested in bug 127243 with checkbox-like multiselection? (An older discussion about custom font list comes into my mind)
= Yes, this would be a way, but there can be some ways to make it work



- Custom styles group in flat and/or hierarchical view?
= flat!
It is the idea, that we have a SHORT version of view.


- How useful is this as the setting is saved in the user profile but not in the file itself?
= This is very useful! If I write a new document, many styles I love are not added. If I use "used formats" some of my favorites are missing, because I just start with the first line. At the moment I have an additional last chapter in my documents, just to save the formats and use "user formats" as view. What an ugly solution!
Instead it would be great to have a button "save all formats of this document to document-view 'myFavorStyles'.
When I make a new document a very compact format view expects me by this very name 'myFavorStyles'.


- What will be shown if the user is opening another file without such custom styles group? And what when after that opening or going back to the file where it exists?
= I make a screenshot and try to make an image of my imaginations in a second posting. Cross fingers, the upload work.
Comment 6 VistaMail1 2019-09-03 17:21:47 UTC
Created attachment 153845 [details]
Wish as sceenshot

the added "screenshot"
Comment 7 VistaMail1 2019-09-03 17:27:50 UTC
The idea is to have to ways of editing the view: by drag and drop from a document or by clicking the items one by one occasionally.
Comment 8 VistaMail1 2019-09-04 07:31:20 UTC
I do no agree!
This is NO duplicate to 69551. The other bug is about "automatic style display". This is the opposite of it: "user defined style display".
These bugs are very different.
Comment 9 Cor Nouws 2019-09-04 20:47:22 UTC
It is amazing how many interesting and also useful ideas are brought to us by users. Kudos :) !

The requested situation (see https://bug-attachments.documentfoundation.org/attachment.cgi?id=153845 ) could partly be reached by having templates with custom styles that are needed. But then the desired ones of the styles that are available by default, would not be in the same list..

So if someone sees the challenge and the time: +1 from me.
Comment 10 Thomas Lendo 2019-09-05 12:24:30 UTC
I have no strong opinion on the subject.

What the bug opener tries to resolve is what I for myself is doing by templates and unique naming of styles. It's easy to load styles from another file with the "Load Styles" command in the sidebar or with the template changer extension [1]. So I see no need to have useless input in the file only to retain styles.

But as there are many drawbacks in the handlung with styles today, every enhancement is welcome and a benefit for more or less people.

For me it's an important detail, that this filter is not saved in the file but in the user profile. Therefore this filter can't be forwarded to other users of the same files.

[1] https://extensions.libreoffice.org/extensions/documenttemplatechanger
Comment 11 Heiko Tietze 2019-09-05 12:45:50 UTC
Such a new filter would show only those styles that have been created/modified by the user. And since the idea got some acceptance we should implement it.
Comment 12 Cor Nouws 2019-09-07 09:19:31 UTC
(In reply to Heiko Tietze from comment #11)
> Such a new filter would show only those styles that have been
> created/modified by the user. And since the idea got some acceptance we
> should implement it.
Mind that the current filter "custom styles" already shows all custom styles in the file, whether in use or not.
Plus that I understood the wish that the list was to show a "selection of styles to the users needs" that might be custom, default, changed or not. It looks as if that asks for a tag, attribute in the style "personalSlyleList1" etc...
I didn't try to find out if that's possible.
Comment 13 Heiko Tietze 2019-09-07 09:33:45 UTC
(In reply to Cor Nouws from comment #12)
> Mind that the current filter "custom styles"...

True. To summarize my hesitation: We _filter_ the list of styles. Styles have a hierarchy and drag 'n drop changes the inheritance. We do not have a "Favorite" option but a "Hide" function. For some reason you cannot hide user styles.

Possible solutions from my POV:
* Allow hiding of custom styles (not much advantage as long the user trust the inbuilt styles)
* Use templates to have a set of preferred styles (=> WFM), document styles are listed in the existing Applied Styles filter that might be buggy (remember some tickets here)

Not so good solutions:
* Flag items as favorite and show on top of the list: Doesn't work on the hierarchical view
* Introduce a group and a function to move styles into this group: It undermines the filter concept
* Introduce a "frequently used" filter: Sounds like a complicated solution and neglects styles that are seldom needed but useful such as Citation.
Comment 14 Cor Nouws 2019-09-07 10:05:11 UTC
(In reply to Heiko Tietze from comment #13)
> (In reply to Cor Nouws from comment #12)
> > Mind that the current filter "custom styles"...
> 
> True. To summarize my hesitation: We _filter_ the list of styles. Styles
> have a hierarchy and drag 'n drop changes the inheritance. We do not have a
> "Favorite" option but a "Hide" function. For some reason you cannot hide
> user styles.
If the user can tag styles, that you can filter on that tag > would be solved.

> * Use templates to have a set of preferred styles (=> WFM),
If the user tags all styles that are not desired in the document as 'hidden', the this would be solved too.
@mark@manngo.net still here? Would that help?
Comment 15 Cor Nouws 2019-09-07 10:08:30 UTC
Hi Thomas,
(In reply to Thomas Lendo from comment #10)
> What the bug opener tries to resolve is what I for myself is doing by
> templates and unique naming of styles.
And then you hide or remove all styles that are not needed?
Comment 16 VistaMail1 2019-09-07 11:37:16 UTC
Sure, hiding styles would work. But it may be a work of an hour until it is done!

If I do want to show up only a handful of styles, I have do to many douzends of clicks to hide them all. Far more comfortable is, to do a positive selection of a few clicks.

And the other point is, that it would be great to have a VARIETY of such selctions: On named e.g. 'business letter formats', the next one 'love letter', the third one 'mail to personal friends' up to 'book with index'.

In one you need all those index formats, in the next one image-elements in the third one header formats and date. Just a click with the mouse and my working environment is changed.

This would speed up my daily work with LO / OO in a relevant way.
Comment 17 Thomas Lendo 2019-09-07 11:49:35 UTC
(In reply to Cor Nouws from comment #15)
> Hi Thomas,
> (In reply to Thomas Lendo from comment #10)
> > What the bug opener tries to resolve is what I for myself is doing by
> > templates and unique naming of styles.
> And then you hide or remove all styles that are not needed?
Sometimes. But as it was said in comment 16, this is a lot of work.

A filter system would shorten the effort and would it make easier to switch between the custom filter and the default style views.